// ignore_for_file: directives_ordering

import 'dart:io' as _i7;
import 'dart:isolate' as _i5;

import 'package:build_config/build_config.dart' as _i4;
import 'package:build_runner/build_runner.dart' as _i6;
import 'package:build_runner_core/build_runner_core.dart' as _i1;
import 'package:like_sealed_gen/like_sealed_gen.dart' as _i2;
import 'package:source_gen/builder.dart' as _i3;

final _builders = <_i1.BuilderApplication>[
  _i1.apply('like_sealed_gen:builder', [_i2.builder],
      _i1.toDependentsOf('like_sealed_gen'),
      hideOutput: false),
  _i1.apply('source_gen:combining_builder', [_i3.combiningBuilder],
      _i1.toNoneByDefault(),
      hideOutput: false, appliesBuilders: ['source_gen:part_cleanup']),
  _i1.applyPostProcess('source_gen:part_cleanup', _i3.partCleanup,
      defaultGenerateFor: const _i4.InputSet())
];

void main(List<String> _args, [_i5.SendPort sendPort]) async {
  var args = _args;
  if (args.isEmpty) {
    args = ["build", "--delete-conflicting-outputs"];
  }
  var result = await _i6.run(args, _builders);
  sendPort?.send(result);
  _i7.exitCode = result;
}
